
Foreman - Bug #18250

Compute Resources view page doesn't show xhr errors

01/26/2017 06:11 AM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Compute resources   

Target version: 1.14.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4232

  

Description

The compute resources view page loads images and vms async via xhr. When there is an error, e.g. permission denied this isn't

shown to the user as the js code wants to replace the html of #spinner which does not exist.

Associated revisions

Revision 5747fbe1 - 01/26/2017 08:48 AM - Timo Goebel

fixes #18250 - show compute resource xhr errors

Revision 7ef304da - 01/30/2017 11:09 AM - Timo Goebel

fixes #18250 - show compute resource xhr errors

(cherry picked from commit 5747fbe145fc04e3b9f6dcded997ee8436f9c3e9)

History

#1 - 01/26/2017 06:13 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4232 added

#2 - 01/26/2017 09:01 AM - Timo Goebel

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5747fbe145fc04e3b9f6dcded997ee8436f9c3e9.

#3 - 01/26/2017 09:09 AM - Dominic Cleal

- translation missing: en.field_release set to 210
